Blog

<< volver atrás

Fin de ciclo de vida de PHP 5.5

Escrito por: Jesús Martínez

La versión PHP 5.5 acaba de llegar a su fin de ciclo de vida. Esto significa que se acaba el soporte por parte del equipo oficial de mantenedores de PHP. Es importante tenerlo en cuenta, sobretodo, en todos aquellos proyectos que están en diseño o desarrollo, descartad ya esta versión e id pensando en la versión 5.6 o la 7. La siguiente a la 5.5, la versión 5.6, parece que tendrá soporte de seguridad hasta finales de 2018. Toda la información en: http://php.net/supported-versions.php

¿Qué implicaciones tiene sobre los servidores alojados en ICM con esta versión?

No hay ninguna implicación a nivel de seguridad. Al utilizar las versiones LTS de Ubuntu, el equipo de Canonical se encarga de seguir manteniendo los paquetes de PHP que están dentro de su período de mantenimiento, es decir, los bugfix de seguridad críticos serán desarrollados por Canonical hasta el fin del soporte de la distribución (la 14.04 LTS tiene soporte oficial hasta el 2019, por ejemplo). A nivel de funcionalidades, sí hay implicación, los bugs funcionales que se puedan detectar en PHP no serán corregidos.

Consideraciones en la migración de PHP 5.5 a 5.6

Hay un documento oficial sobre las consideraciones a tener en cuenta para que vuestro código PHP 5.5 funcione sobre 5.6: http://php.net/manual/es/migration56.php
En la mayoría de ocasiones se utilizan frameworks de desarrollo, comprobad que vuestra versión del framework funciona sobre las nuevas versiones, es muy probable que no haya ningún impedimento en hacer el cambio.

Ante cualquier duda, podéis poneros en contacto con nosotros sobre el proceso del cambio si fuera necesario.

 

Categorizado en: , , , , ,